aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-04 15:11:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-04 15:11:12 +0000
commit0d6af0ea831233965f2e010dd20f1fbf275f476f (patch)
tree84215eb6b78306e75b61258d8a02270a5cbcc143 /testing
parent9aaaf26003dd2685a7a07092d29d264f7fd7bda4 (diff)
downloadaports-0d6af0ea831233965f2e010dd20f1fbf275f476f.tar.bz2
aports-0d6af0ea831233965f2e010dd20f1fbf275f476f.tar.xz
testing/kamilio: clean up
Diffstat (limited to 'testing')
-rw-r--r--testing/kamailio/APKBUILD17
1 files changed, 9 insertions, 8 deletions
diff --git a/testing/kamailio/APKBUILD b/testing/kamailio/APKBUILD
index 07dee300ba..55cd134062 100644
--- a/testing/kamailio/APKBUILD
+++ b/testing/kamailio/APKBUILD
@@ -1,12 +1,12 @@
# Contributor: Michael Mason <ms13sp@gmail.com>
pkgname=kamailio
pkgver=1.5.2
-pkgrel=0
+pkgrel=1
pkgdesc="Open Source SIP Server"
url="http://www.kamailio.org/"
license="GPL"
-depends="expat postgresql"
-makedepends="bison flex coreutils expat-dev libpq"
+depends=
+makedepends="bison flex expat-dev postgresql-dev mysql-dev"
install=
subpackages="$pkgname-doc"
source="http://www.kamailio.org/pub/kamailio/$pkgver/src/$pkgname-$pkgver-notls_src.tar.gz
@@ -17,17 +17,18 @@ source="http://www.kamailio.org/pub/kamailio/$pkgver/src/$pkgname-$pkgver-notls_
build() {
cd "$srcdir/$pkgname-$pkgver-notls"
sed -i -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
- -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' Makefile.defs
+ -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' Makefile.defs \
+ || return 1
cd scripts
- sed -i -e 's:/var/run/kamailio.pid:/var/run/kamailio/kamailio.pid:g' \
- kamctl.base kamctlrc
+ sed -i -e 's:/var/run/kamailio.pid:/var/run/kamailio/kamailio.pid:g' \
+ kamctl.base kamctlrc || return 1
cd ..
make prefix=/usr || return 1
- make prefix=/usr basedir="$pkgdir" install
+ make prefix=/usr basedir="$pkgdir" install || return 1
- install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
}